Are you using an old Android phone? Maybe it’s time for you to upgrade your phone. As per reports, you will no longer be able to access any secure websites from your old Android deuces running 7.1.1 Nougat or later. The devices will receive certificate errors if users try to access a secure website from the phone.

As per a report published on Android Police, users will no longer be able to access any secure websites. This means that the websites would not open on your old Android devices that are running on dated operating systems. The websites will either encounter issues or fail to load completely if the proper certificates are not installed on your devices.

Now, this is happening because Let’s Encrypt has announced that its partnership with certification authority IdenTrust will end on Sept. 1, 2021. There are apparently no plans to renew. For the uninitiated, Lets Encrypt is one of the world’s leading certificate authorities and its certifications are used by approx 30 percent of web domains.

“Five years ago, when Let’s Encrypt launched, that’s exactly what we did. We got a cross-signature from IdenTrust. Their “DST Root X3” had been around for a long time, and all the major software platforms trusted it already: Windows, Firefox, macOS, Android, iOS, and a variety of Linux distributions. That cross-signature allowed us to start issuing certificates right away and have them be useful to a lot of people. Without IdenTrust, Let’s Encrypt may have never happened and we are grateful to them for their partnership. Meanwhile, we issued our own root certificate (“ISRG Root X1”) and applied for it to be trusted by the major software platforms,” Lets Encrypt said in its blog.